Kerbal Space Program - Bug #22932

Deploy Direction briefly changes when control-surface crosses CoM
06/19/2019 06:45 AM - Anonymous

Status: Confirmed Start date: 06/19/2019
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Whenever the extended hinge-axis of a control surface crosses the center of mass of the craft,
the direction of deflection quickly reverses, then returns to its correct direction at normal actuation speed.

In the base game, we can most easily move the CoM by pumping fuel. The deployed winglet glitches when the pumping moves the
center of mass across the winglet's hinge.

(If we un-deploy the winglet and use it for yaw, the direction of yaw control correctly reverses when the CoM moves across the line of
the hinge. The deploy direction, however, is not supposed to reverse, and does not reverse in the long-term, except for a momentary
glitch with takes a second or two to recover.)

This rarely causes problems in the base game, but with Breaking Ground, the control surface can easily be moved so that its
actuation axis crosses the CoM. The second attached craft shows the glitch by actuating a hinge.

In actual use, this glitch came up quite quickly after Deploy Limit was usefully added to axis groups:
https://forum.kerbalspaceprogram.com/index.php?/topic/185577-alternating-lift-on-rotor-blades/
The trigger for the reversal of direction is not so easy to see, however, in that natural use-case.

History

#1 - 06/19/2019 08:05 AM - diomedea
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Good catch!

#3 - 06/19/2019 01:00 PM - Vycma

This is related to the issue here:

https://bugs.kerbalspaceprogram.com/issues/21949

#4 - 07/14/2019 02:57 AM - Anonymous

- Subject changed from Deploy Direction briefly unnecessarily changes with CoM to Deploy Direction briefly changes when control-surface crosses
CoM

#5 - 02/20/2020 05:02 AM - Anonymous

- Description updated

#6 - 02/20/2020 05:03 AM - Anonymous

#20847 seems to be another realistic example of this glitch in the base-game.

#7 - 05/29/2021 10:57 PM - Anonymous

Fixed on or before version 1.11.2. That is, the test craft work with no glitch in version 1.11.2

Files

DeployDirectionTanks.craft 9.75 KB 06/19/2019 Anonymous
